CMSIS-DSP: arm_cfft_radix4_q31.c File Reference

| CMSIS-DSP Version 1.4.7 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
arm_cfft_radix4_q31.c File Reference

## Functions
void | arm_radix4_butterfly_inverse_q31 (q31_t *pSrc, uint32_t fftLen, q31_t *pCoef, uint32_t twidCoefModifier)
| Core function for the Q31 CIFFT butterfly process.
void | arm_radix4_butterfly_q31 (q31_t *pSrc, uint32_t fftLen, q31_t *pCoef, uint32_t twidCoefModifier)
| Core function for the Q31 CFFT butterfly process.
void | arm_bitreversal_q31 (q31_t *pSrc, uint32_t fftLen, uint16_t bitRevFactor, uint16_t *pBitRevTab)
void | arm_cfft_radix4_q31 (const arm_cfft_radix4_instance_q31 *S, q31_t *pSrc)
| Processing function for the Q31 CFFT/CIFFT.

## Function Documentation

void arm_bitreversal_q31 | ( | q31_t * | pSrc,
|  | uint32_t | fftLen,
|  | uint16_t | bitRevFactor,
|  | uint16_t * | pBitRevTab
| ) |  |

Referenced by arm_cfft_radix2_q31(), and arm_cfft_radix4_q31().

void arm_radix4_butterfly_inverse_q31 | ( | q31_t * | pSrc,
|  | uint32_t | fftLen,
|  | q31_t * | pCoef,
|  | uint32_t | twidCoefModifier
| ) |  |

Parameters

  [in,out] | *pSrc | points to the in-place buffer of Q31 data type.
  [in] | fftLen | length of the FFT.
  [in] | *pCoef | points to twiddle coefficient buffer.
  [in] | twidCoefModifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Returns
  none.

References __SIMD64.

Referenced by arm_cfft_q31(), arm_cfft_radix4_q31(), and arm_cfft_radix4by2_inverse_q31().

void arm_radix4_butterfly_q31 | ( | q31_t * | pSrc,
|  | uint32_t | fftLen,
|  | q31_t * | pCoef,
|  | uint32_t | twidCoefModifier
| ) |  |

end of ComplexFFT group

Parameters

  [in,out] | *pSrc | points to the in-place buffer of Q31 data type.
  [in] | fftLen | length of the FFT.
  [in] | *pCoef | points to twiddle coefficient buffer.
  [in] | twidCoefModifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Returns
  none.

References __SIMD64.

Referenced by arm_cfft_q31(), arm_cfft_radix4_q31(), and arm_cfft_radix4by2_q31().